<!-- nav bar -->
{include file="%s/templates/_nav.tpl"|args:$plugin_root current_nav="config"}

<h2>Configuration</h2>

{if $ok && !$form->hasErrors()}
    <p class="block confirm">
        La configuration a bien été enregistrée.
    </p>
{/if}

{form_errors}

<form method="post" action="{$self_url}" enctype="multipart/form-data" data-focus="1">
    <fieldset>
        <legend>Objet (but) de l'association</legend>
        <dl>
            <dt><label>Objet</label> <b title="Champ obligatoire">(obligatoire)</b></dt>
            {input type="text" name="objet_asso" source=$plugin.config label="" required="required" maxlength=300}
        </dl>
    </fieldset>

    <fieldset>
        <legend>Droit à la réduction d'impôt</legend>
        <dl>
            <dt><label>Articles concernés par l'association : </label>
                <b title="Champ obligatoire">(obligatoire)</b>
            </dt>
            {foreach from=$plugin_config->articlesCGI key="key" item="article"}
{*
        À VÉRIFIER : {input : checked ne fonctionne pas si l'attribut name est un tableau... 
                {input type="checkbox" name="articlesCGI[]" value=$key label=$article.titre}
*}
                <input type="checkbox" name="articlesCGI[]" value="{$key}"
                    {if $article.valeur == 1}checked{/if}><label>{$article.titre}</label>
            {/foreach}
        </dl>
    </fieldset>

    <fieldset>
        <legend>Signature du responsable</legend>
        <dl>
{*
            {input type="file" label="Signature" name="signature" required="required" help="L'image de la signature doit être au format PNG, d'une taille raisonable et doit être dotée d'un fond transparent" accept="image/*,*.jpeg,*.jpg,*.png,*.gif"}
*}
        {if $plugin_config.signature != ''}
        <img src="/{$plugin_config.signature}" style="width:300px;" />
        {/if}
        {linkbutton shape="upload" label="Changer de signature" target="_dialog" href="upload.php?p=%s"|args:$path}
        </dl>
        <p class="help">N'oubliez pas d'enregistrer, sinon la signature ne sera pas prise en compte !</p>
    </fieldset>

    <p class="submit">
        {csrf_field key="recusfiscaux_config"}
        {button type="submit" name="save" label="Enregistrer" shape="right" class="main"}
    </p>
</form>